### Signal

# GnomeAutoar Extractor::conflict

#### Declaration

    guint
    conflict (
      AutoarExtractor* self,
      GioFile* file,
      gpointer new_file,
      gpointer user_data
    )

#### Description [src]

This signal is used to report and offer the possibility to solve name conflicts when extracting files. If it is not handled, the `file` will be skipped.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` for the file that caused a conflict.

  The data is owned by the caller of the function.

`new_file`

  Type: `gpointer`

  A `GFile` for the new destination of `file`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The `AutoarConflictAction` to be performed by `AutoarExtractor`.